summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2008-05-25 22:55:07 +0000
committerUlrich Müller <ulm@gentoo.org>2008-05-25 22:55:07 +0000
commit50710682f7b47ce599c18000964ec0efa41ee9e3 (patch)
tree65355bac4ef67eabac9ece4518824f66544c9798
parentRemove empty category. (diff)
downloademacs-50710682f7b47ce599c18000964ec0efa41ee9e3.tar.gz
emacs-50710682f7b47ce599c18000964ec0efa41ee9e3.tar.bz2
emacs-50710682f7b47ce599c18000964ec0efa41ee9e3.zip
Keep live ebuilds.
svn path=/emacs-overlay/; revision=1080
-rw-r--r--app-admin/eselect-ctags/ChangeLog20
-rw-r--r--app-admin/eselect-ctags/Manifest3
-rw-r--r--app-admin/eselect-ctags/eselect-ctags-9999.ebuild31
-rw-r--r--app-admin/eselect-ctags/metadata.xml5
-rw-r--r--app-admin/eselect-emacs/ChangeLog23
-rw-r--r--app-admin/eselect-emacs/Manifest3
-rw-r--r--app-admin/eselect-emacs/eselect-emacs-9999.ebuild34
-rw-r--r--app-admin/eselect-emacs/metadata.xml5
8 files changed, 124 insertions, 0 deletions
diff --git a/app-admin/eselect-ctags/ChangeLog b/app-admin/eselect-ctags/ChangeLog
new file mode 100644
index 0000000..71c8d8c
--- /dev/null
+++ b/app-admin/eselect-ctags/ChangeLog
@@ -0,0 +1,20 @@
+# ChangeLog for app-admin/eselect-ctags
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 25 May 2008; Ulrich Mueller <ulm@gentoo.org>
+ -eselect-ctags-1.5_pre1.ebuild:
+ Remove old.
+
+*eselect-ctags-1.5_pre1 (23 May 2008)
+
+ 23 May 2008; Ulrich Mueller <ulm@gentoo.org>
+ +eselect-ctags-1.5_pre1.ebuild, eselect-ctags-9999.ebuild:
+ Prerelease.
+
+*eselect-ctags-9999 (30 Apr 2008)
+
+ 30 Apr 2008; Ulrich Mueller <ulm@gentoo.org> +metadata.xml,
+ +eselect-ctags-9999.ebuild:
+ Live SVN ebuild.
+
diff --git a/app-admin/eselect-ctags/Manifest b/app-admin/eselect-ctags/Manifest
new file mode 100644
index 0000000..91c9c46
--- /dev/null
+++ b/app-admin/eselect-ctags/Manifest
@@ -0,0 +1,3 @@
+EBUILD eselect-ctags-9999.ebuild 791 RMD160 4417692bd52a87a854cdf2b36bf2922db787e8c9 SHA1 2c7fff42ecd76aa743d90fc8519accb987c7d76f SHA256 fd28b56d48c91b2cbc8a810118a577bd9842726bbda2b5884a9eaa64e69caa7e
+MISC ChangeLog 529 RMD160 ae846dde5ff970fa15dab07184af47641d820ef6 SHA1 2ed9ae16e96758305d7e1aaf2f47f809f5bd25d6 SHA256 05ba36825a8a6dab0c607c82545ca8466f64d934a16a914685a431a5abc983ab
+MISC metadata.xml 158 RMD160 415d172437ca754d24fc5ab186ba8e77934d96e4 SHA1 61f6eff9729cd87a725c2a70c81aca4270a17fc4 SHA256 1393bdef3a74343fdb40a112c7096a1af16f67e7a43413250de28dfe73810eab
diff --git a/app-admin/eselect-ctags/eselect-ctags-9999.ebuild b/app-admin/eselect-ctags/eselect-ctags-9999.ebuild
new file mode 100644
index 0000000..67f7325
--- /dev/null
+++ b/app-admin/eselect-ctags/eselect-ctags-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion
+
+MY_PN="eselect-emacs"
+DESCRIPTION="Manages ctags implementations"
+HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
+#SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
+ESVN_REPO_URI="svn://anonsvn.gentoo.org/emacs/${MY_PN}"
+ESVN_PROJECT="${MY_PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.0.10
+ !<=app-admin/eselect-emacs-1.3"
+
+S="${WORKDIR}/${MY_PN}"
+
+src_compile() { :; }
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins ctags.eselect || die "doins failed"
+ doman ctags.eselect.5 || die "doman failed"
+}
diff --git a/app-admin/eselect-ctags/metadata.xml b/app-admin/eselect-ctags/metadata.xml
new file mode 100644
index 0000000..bc306fe
--- /dev/null
+++ b/app-admin/eselect-ctags/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>emacs</herd>
+</pkgmetadata>
diff --git a/app-admin/eselect-emacs/ChangeLog b/app-admin/eselect-emacs/ChangeLog
new file mode 100644
index 0000000..2677e8f
--- /dev/null
+++ b/app-admin/eselect-emacs/ChangeLog
@@ -0,0 +1,23 @@
+# ChangeLog for app-admin/eselect-emacs
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 25 May 2008; Ulrich Mueller <ulm@gentoo.org> -files/emacs-updater,
+ -eselect-emacs-1.5_pre1.ebuild:
+ Remove old.
+
+*eselect-emacs-1.5_pre1 (23 May 2008)
+
+ 23 May 2008; Ulrich Mueller <ulm@gentoo.org> +files/emacs-updater,
+ +eselect-emacs-1.5_pre1.ebuild:
+ Prerelease.
+
+ 01 May 2008; Ulrich Mueller <ulm@gentoo.org> eselect-emacs-9999.ebuild:
+ etags.eselect is created from Makefile.
+
+*eselect-emacs-9999 (30 Apr 2008)
+
+ 30 Apr 2008; Ulrich Mueller <ulm@gentoo.org> +metadata.xml,
+ +eselect-emacs-9999.ebuild:
+ Live SVN ebuild.
+
diff --git a/app-admin/eselect-emacs/Manifest b/app-admin/eselect-emacs/Manifest
new file mode 100644
index 0000000..401870e
--- /dev/null
+++ b/app-admin/eselect-emacs/Manifest
@@ -0,0 +1,3 @@
+EBUILD eselect-emacs-9999.ebuild 905 RMD160 235e8be13739cdf373b7e48588998ef0c184fe3c SHA1 66fe06c711c08b0f5bda35edc8075578c60509cd SHA256 3bac5377ffe9054e41097a75efdcdcaecd67ae6ab9390edd72e311f85f068a43
+MISC ChangeLog 663 RMD160 70f1bc08d72e6f0da013b83ca9a2fae4690dcf67 SHA1 47b463ca6a4353b11c6eb31db42c4fa8eb620396 SHA256 5802c92a566da522bb07b588002153d876eb11b6e0bec520d1a7434b6e2d41dc
+MISC metadata.xml 158 RMD160 415d172437ca754d24fc5ab186ba8e77934d96e4 SHA1 61f6eff9729cd87a725c2a70c81aca4270a17fc4 SHA256 1393bdef3a74343fdb40a112c7096a1af16f67e7a43413250de28dfe73810eab
diff --git a/app-admin/eselect-emacs/eselect-emacs-9999.ebuild b/app-admin/eselect-emacs/eselect-emacs-9999.ebuild
new file mode 100644
index 0000000..1d72f56
--- /dev/null
+++ b/app-admin/eselect-emacs/eselect-emacs-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion
+
+DESCRIPTION="Manages Emacs versions"
+HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
+#SRC_URI="mirror://gentoo/${P}.tar.bz2"
+ESVN_REPO_URI="svn://anonsvn.gentoo.org/emacs/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.0.10
+ ~app-admin/eselect-ctags-${PV}"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ subversion_fetch || die
+ subversion_fetch "${ESVN_REPO_URI%/*}/emacs-updater" || die
+}
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins {emacs,etags}.eselect || die "doins failed"
+ doman {emacs,etags}.eselect.5 || die "doman failed"
+ dodoc ChangeLog || die "dodoc failed"
+ dosbin emacs-updater || die "dosbin failed"
+}
diff --git a/app-admin/eselect-emacs/metadata.xml b/app-admin/eselect-emacs/metadata.xml
new file mode 100644
index 0000000..bc306fe
--- /dev/null
+++ b/app-admin/eselect-emacs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>emacs</herd>
+</pkgmetadata>